#include <stdlib.h>

void *malloc(size_t size)
/* ヒープ自動拡張つきmalloc() */
{
char *ptr;
	do {
		ptr=_malloc(size);
		if (ptr==NULL) {
			/* 4Kbyte単位でヒープ領域を拡大 */
			if (sbrk(4*1024)==(char *)-1) return(NULL); /* 完全にメモリーがない */
		}
	} while (ptr==NULL);
	return(ptr);
}
